package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbInviter;
import com.yongqi.xinrenli.domain.vo.DbInviterVo;
import com.yongqi.xinrenli.domain.bo.DbInviterBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 邀请Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbInviterService {

    /**
     * 查询邀请
     */
    DbInviterVo queryById(Long id);

    /**
     * 查询邀请列表
     */
    TableDataInfo<DbInviterVo> queryPageList(DbInviterBo bo, PageQuery pageQuery);

    /**
     * 查询邀请列表
     */
    List<DbInviterVo> queryList(DbInviterBo bo);

    /**
     * 新增邀请
     */
    Boolean insertByBo(DbInviterBo bo);

    /**
     * 修改邀请
     */
    Boolean updateByBo(DbInviterBo bo);

    /**
     * 校验并批量删除邀请信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
